module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=0,
			},
			func_name=[[FaceTo]],
			start_time=0,
		},
		[3]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_402/Prefabs/402_attack1_1.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[4]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[5]={
			args={sound_path=[[Magic/sound_magic_40201_0.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[6]={
			args={sound_path=[[Magic/sound_magic_40201_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.01,
		},
		[7]={args={},func_name=[[MagcAnimStart]],start_time=0.4,},
		[8]={
			args={
				alive_time=1,
				begin_pos={base_pos=[[atk]],depth=0.8,relative_angle=0,relative_dis=-2.5,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=false,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_402/Prefabs/402_hit2.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=0.6,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
				move_time=0.7,
			},
			func_name=[[ShootEffect]],
			start_time=0.45,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.1,
		},
		[10]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.15,
		},
		[11]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_402/Prefabs/magic_eff_40202_hit_buff.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0.4,
			},
			func_name=[[BodyEffect]],
			start_time=1.2,
		},
		[12]={args={},func_name=[[MagcAnimEnd]],start_time=1.2,},
		[13]={args={},func_name=[[End]],start_time=1.69,},
	},
	group_cmds={},
	magic_anim_end_time=1.2,
	magic_anim_start_time=0.4,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_402/Prefabs/402_attack1_1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_402/Prefabs/402_hit2.prefab]],
		[3]=[[Effect/Magic/magic_eff_402/Prefabs/magic_eff_40202_hit_buff.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
